Subject: 27.2; Emacs GNU FAQ 10.4 - Old Information
From: Vinicius Provenzano <[email-masked]>
To: [email-masked]
Date: Tue, 31 May 2022 13:06:58 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi to all,

I've found information on the Emacs GNU FAQ, distributed with Emacs

28.1, that is not relevant anymore - 10.4 How to add fonts for use

with Emacs. Here is the url of the FAQ:

https://www.gnu.org/software/emacs/manual/html_node/efaq/How-to-add-fonts.html

On the FAQ there is a set of instructions on how to add fonts that refer to
bdf fonts.

Bdf fonts are not supported on Emacs since

version 23 on Windows, as per the etc/NEW file.

Reference: https://www.gnu.org/software/emacs/news/NEWS.23.1

** BDF fonts no longer supported on MS-Windows. The font backend was

   completely rewritten for this release. The focus on Windows has been

   getting acceptable performance and full unicode support, including

   complex script shaping for native Windows fonts. A rewrite of the BDF

   font support has not happened due to lack of time and developers. If

   demand still exists for such a backend even with the improved

   language support for native Windows fonts, future development in this

   direction will most likely be based on the freetype library, giving

   access to a wider range of font formats.

I am not sure if this is the correct way of reporting this kind of

issue, that is not a technical bug, but a documention on need of

update.

Thank you.

 Vinicius